summaryrefslogtreecommitdiffstats
path: root/testsuite/check.sh
diff options
context:
space:
mode:
authorDaniel Baumann <mail@daniel-baumann.ch>2015-11-07 06:44:09 +0000
committerDaniel Baumann <mail@daniel-baumann.ch>2015-11-07 06:44:09 +0000
commit81ce5751652e96e88a9a0d4cadd22dc18a02ea3d (patch)
tree5a295e2e2e21cb7e51543ebf37048d3776647117 /testsuite/check.sh
parentInitial commit. (diff)
downloadlzd-81ce5751652e96e88a9a0d4cadd22dc18a02ea3d.tar.xz
lzd-81ce5751652e96e88a9a0d4cadd22dc18a02ea3d.zip
Adding upstream version 0.1.upstream/0.1
Signed-off-by: Daniel Baumann <mail@daniel-baumann.ch>
Diffstat (limited to 'testsuite/check.sh')
-rwxr-xr-xtestsuite/check.sh43
1 files changed, 43 insertions, 0 deletions
diff --git a/testsuite/check.sh b/testsuite/check.sh
new file mode 100755
index 0000000..6dd7bb8
--- /dev/null
+++ b/testsuite/check.sh
@@ -0,0 +1,43 @@
+#! /bin/sh
+# check script for Lzd - Educational decompressor for lzip files
+# Copyright (C) 2013 Antonio Diaz Diaz.
+#
+# This script is free software: you have unlimited permission
+# to copy, distribute and modify it.
+
+LC_ALL=C
+export LC_ALL
+objdir=`pwd`
+testdir=`cd "$1" ; pwd`
+LZIP="${objdir}"/lzd
+framework_failure() { echo "failure in testing framework" ; exit 1 ; }
+
+if [ ! -x "${LZIP}" ] ; then
+ echo "${LZIP}: cannot execute"
+ exit 1
+fi
+
+if [ -d tmp ] ; then rm -rf tmp ; fi
+mkdir tmp
+cd "${objdir}"/tmp
+
+in="${testdir}"/test.txt
+in_lz="${testdir}"/test.txt.lz
+fail=0
+
+printf "testing lzd-%s..." "$2"
+
+"${LZIP}" < "${in_lz}" | cmp "${in}" - || fail=1
+printf .
+cat "${in_lz}" "${in_lz}" | "${LZIP}" > copy2 || fail=1
+cat "${in}" "${in}" | cmp copy2 - || fail=1
+printf .
+
+echo
+if [ ${fail} = 0 ] ; then
+ echo "tests completed successfully."
+ cd "${objdir}" && rm -r tmp
+else
+ echo "tests failed."
+fi
+exit ${fail}